# Uses of Class
javax.crypto.KEM.Encapsulator

Packages that use KEM.Encapsulator
Package
Description
javax.crypto
Provides the classes and interfaces for cryptographic operations.

## Uses of KEM.Encapsulator in javax.crypto

Methods in javax.crypto that return KEM.Encapsulator
Modifier and Type
Method
Description
`KEM.Encapsulator`
KEM.`newEncapsulator(PublicKey publicKey)`
Creates a KEM encapsulator on the KEM sender side.
`KEM.Encapsulator`
KEM.`newEncapsulator(PublicKey publicKey, SecureRandom secureRandom)`
Creates a KEM encapsulator on the KEM sender side.
`KEM.Encapsulator`
KEM.`newEncapsulator(PublicKey publicKey, AlgorithmParameterSpec spec, SecureRandom secureRandom)`
Creates a KEM encapsulator on the KEM sender side.